跳至内容

将连接迁移到不同的虚拟设备

先决条件

  1. 身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证

  2. 确定现有连接 ID。使用 搜索连接 端点检索连接列表,并确定要迁移到不同端口的连接 ID。

  3. 请确定您的网络边缘设备信息。您需要已配置且已注册许可证的 Equinix 虚拟设备/冗余设备/集群。您可以通过调用 Get Virtual DevicesGet Virtual Device {uuid} 来查看可用的虚拟设备和集群。您可以选择设备上的任何可用接口进行连接。但是,如果您未指定接口,Equinix 将自动选择一个。

更新连接

要更新连接并将其迁移到不同的虚拟设备,请向 /fabric/v4/connections/{id} 端点发送 PATCH 请求。在请求正文中指定要将连接迁移到的虚拟设备的连接端 ID。

PATCH /fabric/v4/connections/{uuid}
MethodPATCH
URL or Endpoint/fabric/v4/connections/{uuid}
HeadersAuthorization, Content-Type
Path Parametersuuid
Query ParametersNot applicable
Body Parametersop, path, value

要在生产环境中安全地验证此请求而不更改任何连接,请参阅生产环境测试(API 试运行)

示例 cURL 请求:

curl -X
PATCH 'https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62'
-H 'content-type: application/json-patch+json'
-H 'authorization: Bearer <token>'
-d '[
    {
        "op": "replace",
        "path": "/aSide/accessPoint",
        "value": {
            "type": "VD",
            "virtualDevice": {
                "type": "EDGE",
                "uuid": "e8b49cd7-9b4c-4123-8bd4-fbead83c3436"
            },
            "interface": {
                "type": "NETWORK",
                "id": 5
            }
        }
    }
]'

路径参数

ParameterMandatoryTypeExampleApplicable ValuesDescription
uuidyesstring3a58dd05-f46d-4b1d-a154-2e85c396ea62-Equinix-assigned connection identifier.

身体参数

ParameterMandatoryTypeExampleApplicable ValuesDescription
opyesstringreplacereplaceUpdate reqest type.
pathyesstring/aSide/accessPoint/aSide/accessPointParameter path.
valueyesobject-
typeyesstringVDVDVD - Virtual Device.
virtualDeviceyesobject-Virtual Device details.
typeyesstringEDGEEDGEEDGE.
uuidyesstring78rtdd05-f46d-4b1d-a154-2e85c396yt56Unique Id of the new Virtual Device.
interfacenoobjectInterface details.
typenostringNETWORKNETWORK.
idnointeger5Interface of the Virtual Device.

示例响应:

{
    "href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62",
    "type": "EVPL_VC",
    "uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62",
    "name": "Conn-Name-2",
    "state": "PROVISIONED",
    "order": {
        "purchaseOrderNumber": "1-129105284100",
        "billingTier": "Up to 1 Gbps"
    },
    "bandwidth": 1000,
    "redundancy": {
        "group": "m167f685-41b0-1b07-6de0-320a5c00abeu",
        "priority": "PRIMARY"
    },
    “aSide”: {
        “accessPoint”: {
            "interface": {
                “uuid”: "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                “id”: 7,
                “type”: "NETWORK"
            },
            “location”: {
                “metroCode”: "AM"
            },
            “virtualDevice”: {
                “uuid”: "XXXXXXXXXXXXXXXXXXXXXXXXXX", 
                “type”: "EDGE"
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "SP",
            "profile": {
                "href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
                "type": "L2_Profile",
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
            },
            "location": {
                "href": "https://api.equinix.com/v4/metros/SV",
                "metrocode": "SV",
                "region": "AMER"
            }
        }
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test@equinix.com"
            ]
        }
    ],
    "operation": {
        "equinixStatus": "PROVISIONED",
        "providerStatus": "PROVISIONED"
    },
    "changeLog": {
        "createdDateTime": "2021-07-15T19:30:29.526Z",
        "updatedDateTime": "2021-08-15T19:30:29.526Z",
    }
}
此页面有帮助吗?